org.jbpm.examples.request

## Class Request

- java.lang.Object
- - org.jbpm.examples.request.Request

- All Implemented Interfaces:
    Serializable

      public class Request
      extends Object
      implements Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Request(String id)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `Long` | `getAmount()`
    `String` | `getId()`
    `String` | `getInvalidReason()`
    `String` | `getPersonId()`
    `int` | `hashCode()`
    `boolean` | `isCanceled()`
    `boolean` | `isValid()`
    `void` | `setAmount(Long amount)`
    `void` | `setCanceled(boolean canceled)`
    `void` | `setInvalid(String reason)`
    `void` | `setPersonId(String personId)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Request

          public Request(String id)

  - ### Method Detail

    - #### getId

          public String getId()

    - #### getPersonId

          public String getPersonId()

    - #### setPersonId

          public void setPersonId(String personId)

    - #### getAmount

          public Long getAmount()

    - #### setAmount

          public void setAmount(Long amount)

    - #### setInvalid

          public void setInvalid(String reason)

    - #### isValid

          public boolean isValid()

    - #### getInvalidReason

          public String getInvalidReason()

    - #### isCanceled

          public boolean isCanceled()

    - #### setCanceled

          public void setCanceled(boolean canceled)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2001–2020 JBoss by Red Hat. All rights reserved.